%define __python %{__python3}

%define arcadename %{name}-arcade
%define launchername %{name}-launcher

%define arcadever	3.1.63
%define launcherver	3.1.68

Name:           fs-uae
Epoch:          1
Version:        3.1.66
Release:        %mkrel 3
Summary:        Amiga emulator with on-screen GUI and online play support
License:        GPLv2+
Group:          Emulators
Url:            https://fs-uae.net
# see https://fs-uae.net/download#source
Source0:        https://fs-uae.net/files/FS-UAE/Stable/%{version}/fs-uae-%{version}.tar.xz
Source1:        https://fs-uae.net/files/FS-UAE-Arcade/Stable/%{arcadever}/%{arcadename}-%{arcadever}.tar.xz
Source2:        https://fs-uae.net/files/FS-UAE-Launcher/Stable/%{launcherver}/%{launchername}-%{launcherver}.tar.xz
Patch0:         fs-uae-2.6.2-desktop.patch

BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(libmpeg2)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  python3-setuptools
BuildRequires:  zip

Recommends:     %{arcadename}
Recommends:     %{launchername}

%description
FS-UAE is an Amiga emulator for Windows, Linux and Mac OS X
based on UAE/WinUAE, with a focus on emulating games.

Features include emulation of Amiga 500, 1200, 4000, CD32
and CDTV, perfectly smooth scrolling on 50Hz displays, support
for floppy images in ADF and IPF formats, CD-ROM images in ISO
or BIN/CUE format, mounting folders on your computer as Amiga
hard drives, support for Picasso 96 drivers for high-color and
high-resolution Workbench displays, and more.

A unique feature is support for cross-platform online play. You
can now play Amiga games against (or with) friends over the
Internet.

%files -f %{name}.lang
%{_bindir}/%{name}
%{_bindir}/%{name}-device-helper
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_docdir}/%{name}/

#----------------------------------------------------------------------

%package -n     %{arcadename}
Summary:        Fullscreen game browser for FS-UAE
BuildArch:      noarch
Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-network
Requires:       python3-qt5-opengl
Requires:       python3-qt5-qml
Requires:       python3-qt5-quick
#Requires:       python3-qt5-webenginewidgets
Requires:       python3-qt5-widgets
Requires:       python3-qt5-x11extras
Requires:       %{name} = %{epoch}:%{version}

%description -n %{arcadename}
FS-UAE Arcade is a fullscreen Amiga game browser for FS-UAE.

%files -n       %{arcadename}
%{_bindir}/%{arcadename}
%{_datadir}/%{arcadename}/
%{_datadir}/applications/%{arcadename}.desktop
%{_docdir}/%{arcadename}/
%{_iconsdir}/hicolor/*/apps/%{arcadename}.png

#----------------------------------------------------------------------

%package -n     %{launchername}
Summary:        Graphical configuration frontend and launcher for FS-UAE
BuildArch:      noarch
Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-network
Requires:       python3-qt5-opengl
Requires:       python3-qt5-qml
Requires:       python3-qt5-quick
#Requires:       python3-qt5-webenginewidgets
Requires:       python3-qt5-widgets
Requires:       python3-qt5-x11extras
Requires:       %{name} = %{epoch}:%{version}

%description -n %{launchername}
FS-UAE Launcher is a graphical configuration program and launcher for FS-UAE.

%files -n       %{launchername} -f %{launchername}.lang
%{_bindir}/%{launchername}
%{_datadir}/%{launchername}/
%{_datadir}/applications/%{launchername}.desktop
%{_docdir}/%{launchername}/
%{_iconsdir}/hicolor/*/apps/%{launchername}.png

#----------------------------------------------------------------------

%prep
%setup -q -a1 -a2
%autopatch -p1

%build
export CFLAGS="%optflags -fPIC"
export CXXFLAGS="%optflags -fPIC"
%configure \
%ifnarch %{ix86} x86_64
  --disable-jit
%endif

%make_build

pushd %{arcadename}-%{arcadever}
%py3_build
# run make for translation update if needed
%make_build
popd

pushd %{launchername}-%{launcherver}
%py3_build
%make_build
popd

%install
%make_install

# takes care of the setup.py install + some stuff
%make_install -C %{arcadename}-%{arcadever} prefix=%{_prefix}
%make_install -C %{launchername}-%{launcherver} prefix=%{_prefix}

%find_lang %{name}
%find_lang %{launchername}


%changelog
* Fri May 17 2024 daviddavid <daviddavid> 1:3.1.66-3.mga10
+ Revision: 2064530
- compîle with -fPIC flags

* Tue Mar 21 2023 daviddavid <daviddavid> 1:3.1.66-2.mga9
+ Revision: 1949983
- remove python3-qt5-webkitwidgets dependency

* Mon Oct 24 2022 ghibo <ghibo> 1:3.1.66-1.mga9
+ Revision: 1899099
- Update to release 3.1.66.
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Oct 19 2020 akien <akien> 1:3.0.5-1.mga8
+ Revision: 1637030
- Version 3.0.5

* Fri Feb 14 2020 umeabot <umeabot> 1:2.8.4-5.mga8
+ Revision: 1522201
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Jan 23 2019 daviddavid <daviddavid> 1:2.8.4-4.mga7
+ Revision: 1360197
- add patch to fix build with Python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1:2.8.4-3.mga7
+ Revision: 1297794
- Mageia 7 Mass Rebuild

* Tue Jul 17 2018 wally <wally> 1:2.8.4-2.mga7
+ Revision: 1243948
- add patch originally from Debian to fix build on aarch64

* Mon May 14 2018 akien <akien> 1:2.8.4-1.mga7
+ Revision: 1229364
- Version 2.8.4

* Fri Apr 28 2017 akien <akien> 1:2.8.3-2.mga6
+ Revision: 1097859
- Add missing requires on python3-qt5 components (mga#20741)

* Wed Jan 11 2017 akien <akien> 1:2.8.3-1.mga6
+ Revision: 1081082
- Version 2.8.3

* Sun Dec 18 2016 akien <akien> 1:2.8.2-1.mga6
+ Revision: 1075994
- Version 2.8.2

* Thu Nov 10 2016 akien <akien> 1:2.8.1-1.mga6
+ Revision: 1066161
- Version 2.8.1

* Mon Oct 17 2016 pterjan <pterjan> 1:2.8.0-3.mga6
+ Revision: 1061278
- Disable jit on architectures where it is not supported, else configure fails

* Sun Oct 16 2016 akien <akien> 1:2.8.0-2.mga6
+ Revision: 1061199
- Rebuild to fix BS issue

* Sat Oct 08 2016 akien <akien> 1:2.8.0-1.mga6
+ Revision: 1059644
- Version 2.8.0

* Thu Jan 14 2016 akien <akien> 1:2.6.2-2.mga6
+ Revision: 923117
- Version 2.6.2

* Sun May 10 2015 akien <akien> 1:2.4.3-1.mga5
+ Revision: 821655
- Add missing BR on xinput
- Version 2.4.3
- Provides launcher as Qt5 frontend, fixes mga#15866
- New subpackage: fs-uae-arcade

* Wed Oct 15 2014 umeabot <umeabot> 1:2.2.3-8.mga5
+ Revision: 750032
- Second Mageia 5 Mass Rebuild

* Sat Oct 11 2014 tv <tv> 1:2.2.3-7.mga5
+ Revision: 738020
- rebuild for missing pythoneggs deps
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1:2.2.3-5.mga5
+ Revision: 628195
- Rebuild for new Python

* Fri Dec 13 2013 philippem <philippem> 1:2.2.3-4.mga4
+ Revision: 556617
- fix build with include glxext

* Tue Oct 22 2013 umeabot <umeabot> 1:2.2.3-3.mga4
+ Revision: 542628
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 1:2.2.3-2.mga4
+ Revision: 497754
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Aug 31 2013 obgr_seneca <obgr_seneca> 1:2.2.3-1.mga4
+ Revision: 473741
- New version 2.2.3

* Mon Jun 03 2013 obgr_seneca <obgr_seneca> 1:2.2.2-1.mga4
+ Revision: 436700
- imported package fs-uae


* Mon Jun 03 2013 Oliver Burger <obgr_seneca@mageia.org> 2.2.2-1.mga3
- Initial build for Mageia 3

